Major Version Upgrade Precheck - Get
Gets information about a major version upgrade precheck for a flexible server.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/majorVersionUpgradePrecheck/{precheckValidationId}?api-version=2026-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
precheck
|
path | True |
string pattern: ^[a-zA-Z0-9-]{3,36}$ |
The name of the MajorVersionUpgradePrecheckResource |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)* |
The name of the server. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get information about a major version upgrade precheck validation.
Sample request
GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/majorVersionUpgradePrecheck/pppppppp-pppp-pppp-pppp-pppppppppppp?api-version=2026-10-01
Sample response
{
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/majorVersionUpgradePrecheck/pppppppp-pppp-pppp-pppp-pppppppppppp",
"name": "pppppppp-pppp-pppp-pppp-pppppppppppp",
"type": "Microsoft.DBforPostgreSQL/flexibleServers/majorVersionUpgradePrecheck",
"properties": {
"createTime": "2026-04-10T00:55:46.0983792Z",
"status": "Failed",
"precheckResult": {
"action": "Precheck",
"upgradeSequence": {
"sourceVersion": "14",
"targetVersion": "11"
},
"errorInfo": [
{
"errorCode": 1032,
"errorMessage": "Major version upgrade failed because the target version (11) must be greater than the current source version (14). Please specify a higher PostgreSQL major version as the upgrade target."
}
]
},
"targetVersion": "11",
"policyDetails": [
{
"policyName": "NotSupportedExtensionPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm that server extensions are supported for this upgrade path."
},
{
"policyName": "NoReplicationSlotsPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no logical replication slots."
},
{
"policyName": "NotSupportedRegDataTypesPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no incompatible reg* (OID-referencing) data types."
},
{
"policyName": "NoPreparedTransactionsPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no prepared transactions."
},
{
"policyName": "NoPendingRestartSettingsPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no server settings pending restart."
},
{
"policyName": "NoExtensionSchemaAndSearchPathMismatchPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm required extension schemas (e.g., PostGIS) are included in the server search_path."
},
{
"policyName": "NoExtensionDependentObjectsPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no objects that depend on extensions that aren't supported for this upgrade path."
},
{
"policyName": "NoViewDependentObjectsPrecheckPolicy",
"passed": false,
"errorCode": 1020,
"errorMessage": "Upgrading with views dependent upon test_activity_view is not allowed. Found dependent object public in database postgres. Please drop this view prior to reattempting the upgrade. Refer documentation - https://learn.microsoft.com/en-us/azure/postgresql/flexible-server/concepts-major-version-upgrade#unsupported-server-configurations",
"policyDescription": "Confirm there are no view-dependent objects."
},
{
"policyName": "NoEventTriggersPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no event triggers."
},
{
"policyName": "NoSharedPreloadLibraryMismatchPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm extensions in schemas are added to shared_preload_libraries."
},
{
"policyName": "NotCorrectObjectsOwnershipPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm initial extension owners still have access to extensions."
},
{
"policyName": "NoOrphanedSecurityLabelPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm there are no orphaned security labels."
},
{
"policyName": "NoNonExistentSchemaDependencies",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm objects do not depend on non-existent schemas."
},
{
"policyName": "NotSupportedSubscriptionOwnerPrecheckPolicy",
"passed": true,
"errorCode": 0,
"policyDescription": "Confirm logical replication subscriptions are owned by superuser."
}
]
}
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Major |
Major version upgrade precheck resource for a PostgreSQL flexible server. |
|
Major |
Major version upgrade precheck resource with validation results. |
|
Major |
The status of the major version upgrade precheck. |
|
Policy |
Policy validation details. |
|
Precheck |
Error information from precheck validation. |
|
Precheck |
Precheck result details. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Upgrade |
Upgrade sequence information. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
MajorVersionUpgradePrecheckResource
Major version upgrade precheck resource for a PostgreSQL flexible server.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
The resource-specific properties for this resource. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
MajorVersionUpgradePrecheckResourceProperties
Major version upgrade precheck resource with validation results.
| Name | Type | Description |
|---|---|---|
| createTime |
string (date-time) |
The time when the precheck was created. |
| policyDetails |
Array of policy validation details. |
|
| precheckResult |
The detailed result of the precheck operation. |
|
| status |
The status of the precheck validation. |
|
| targetVersion |
string |
The target PostgreSQL major version for the upgrade. |
MajorVersionUpgradePrecheckStatus
The status of the major version upgrade precheck.
| Value | Description |
|---|---|
| Validating |
Executing prechecks against the source server |
| Succeeded |
Validation succeeded |
| Failed |
Validation failed |
| Canceled |
Validation canceled |
PolicyDetail
Policy validation details.
| Name | Type | Description |
|---|---|---|
| errorCode |
integer (int32) |
The error code if validation failed. |
| errorMessage |
string |
The error message if validation failed. |
| passed |
boolean |
Whether the policy validation passed. |
| policyDescription |
string |
Description of what the policy validates. |
| policyName |
string |
The name of the policy. |
PrecheckErrorInfo
Error information from precheck validation.
| Name | Type | Description |
|---|---|---|
| errorCode |
integer (int32) |
The error code. |
| errorMessage |
string |
The error message. |
PrecheckResult
Precheck result details.
| Name | Type | Description |
|---|---|---|
| action |
string |
The action performed. |
| errorInfo |
Array of error information. |
|
| upgradeSequence |
The upgrade sequence information. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UpgradeSequence
Upgrade sequence information.
| Name | Type | Description |
|---|---|---|
| sourceVersion |
string |
The source PostgreSQL version. |
| targetVersion |
string |
The target PostgreSQL version. |